Template contact imports/template
curl --request GET \
--url https://api.callaro.ai/api/v1/contact-imports/template \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/contact-imports/template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/contact-imports/template"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"tenant_id": "<string>",
"uploaded_by_id": "<string>",
"status": "<string>",
"source_file_name": "<string>",
"source_byte_size": 123,
"total_rows": "<string>",
"processed_rows": "<string>",
"created_count": 123,
"updated_count": 123,
"skipped_count": 123,
"error_count": 123,
"progress_percentage": "<string>",
"started_at": "<string>",
"completed_at": "<string>",
"failed_at": "<string>",
"last_error": "<string>",
"has_error_report": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}ContactImports
Template contact imports/template
From api/v1/contact_imports#template in voice_saas_api. Fields come from that action’s strong params / params usage.
GET
/
api
/
v1
/
contact-imports
/
template
Template contact imports/template
curl --request GET \
--url https://api.callaro.ai/api/v1/contact-imports/template \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/contact-imports/template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/contact-imports/template"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"tenant_id": "<string>",
"uploaded_by_id": "<string>",
"status": "<string>",
"source_file_name": "<string>",
"source_byte_size": 123,
"total_rows": "<string>",
"processed_rows": "<string>",
"created_count": 123,
"updated_count": 123,
"skipped_count": 123,
"error_count": 123,
"progress_percentage": "<string>",
"started_at": "<string>",
"completed_at": "<string>",
"failed_at": "<string>",
"last_error": "<string>",
"has_error_report": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Was this page helpful?